#pragma warning disable IDE1006 // 명명 스타일
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace COMM
{
    public enum eAxis : byte
    {

        [Category("Y"), Description("Loader Y - Front/Back")]
        LOADER_FRONTBACK = 0,

        [Category("Z"), Description("Loader Z - Up/Down")]
        LOADER_UPDOWN,
        [Category("X"), Description("Loader Pusher X - Left/Right")]
        LOADER_PUSHER,
        [Category("Z"), Description("Loader Picker Z - Up/Down")]
        LPICKER_UPDOWN,

        [Category("Z"), Description("UnLoader Picket Z - Up/Down")]
        UPICKER_UPDOWN,
        [Category("X"), Description("Unloader Pusher X - Left/Right")]
        UNLOADER_PUSHER,

        [Category("Y"), Description("UnLoader Y - Front/Back")]
        UNLOADER_FRONTBACK,
        [Category("Z"), Description("UnLoader Z - Up/Down")]
        UNLOADER_UPDOWN,
        [Category("X"), Description("Loader Picker X - Left/Right")]
        LPICKER_LEFTRIGHT,
        [Category("Y"), Description("Glass table Y - Front/Back")]
        TABLE,

        [Category("X"), Description("UnLoader Picket X - Left/Right")]
        UPICKER_LEFTRIGHT,
        [Description("미사용 위치")]
        SPARE,

    }    
}
